Templatesigc::lambda< T_type > struct Reference

Main Page Groups Namespaces

# sigc::lambda< T_type > Struct Template Reference

Inheritance diagram for sigc::lambda< T_type >:

[legend]
List of all members.

## Public Types
typedef lambda<T_type> | self
## Public Member Functions
| lambda ()
| lambda (typename type_trait<T_type>::take v)
template <class T_arg> lambda< lambda_operator<other< subscript >, self, T_arg > > | operator[] (const lambda<T_arg>& a) const
template <class T_arg> lambda< lambda_operator<other< subscript >, self, T_arg > > | operator[] (const T_arg& a) const
template <class T_arg> lambda< lambda_operator<other< assign >, self, T_arg > > | operator= (const lambda<T_arg>& a) const
template <class T_arg> lambda< lambda_operator<other< assign >, self, T_arg > > | operator= (const T_arg& a) const

### template <class T_type>
struct sigc::lambda< T_type >

## Member Typedef Documentation

template <class T_type>
typedef lambda<T_type> sigc::lambda<T_type>::self

## Constructor & Destructor Documentation

template <class T_type>
sigc::lambda<T_type>::lambda | ( |  | ) | `[inline]`

template <class T_type>
sigc::lambda<T_type>::lambda | ( | typename type_trait<T_type>::take | v | ) | `[inline]`

## Member Function Documentation

template <class T_type>
template <class T_arg>
lambda<lambda_operator<other<assign>, self, T_arg> > sigc::lambda<T_type>::operator= | ( | const T_arg& | a | ) | const`[inline]`

template <class T_type>
template <class T_arg>
lambda<lambda_operator<other<assign>, self, T_arg> > sigc::lambda<T_type>::operator= | ( | const lambda<T_arg>& | a | ) | const`[inline]`

template <class T_type>
template <class T_arg>
lambda<lambda_operator<other<subscript>, self, T_arg> > sigc::lambda<T_type>::operator[] | ( | const T_arg& | a | ) | const`[inline]`

template <class T_type>
template <class T_arg>
lambda<lambda_operator<other<subscript>, self, T_arg> > sigc::lambda<T_type>::operator[] | ( | const lambda<T_arg>& | a | ) | const`[inline]`

The documentation for this struct was generated from the following file:

- base.h